[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.DataSource

Datasource this dataset is connected to.

## Declaration

Source position: db.pas line 1726

`public property TDataSet.DataSource : TDataSource read GetDataSource;`

## Description

Datasource is the datasource this dataset is connected to, and from which it can get values for parameters. In TDataset, the Datasource property is not used, and is always Nil. It is up to descendent classes that actually support a datasource to implement getter and setter routines for the Datasource property.

## See also

TDatasource |  | Component representing the link between a local (GUI) component and a dataset